"use strict";
// scanBody.ts
Object.defineProperty(exports, "__esModule", { value: true });
exports.scanBody = scanBody;
const detectorUtils_1 = require("../utils/functions/detectorUtils");
function scanBody(body, options) {
    const issues = [];
    const { keys, values } = options;
    if (keys) {
        Object.keys(body).forEach((key) => {
            (0, detectorUtils_1.checkDetectors)(key, key, issues, options, true); // Scan body keys
        });
    }
    if (values) {
        Object.entries(body).forEach(([key, value]) => {
            (0, detectorUtils_1.checkDetectors)(String(value), key, issues, options); // Scan body values
        });
    }
    return issues;
}
//# sourceMappingURL=scanBody.js.map