import { checkDetectors } from '../utils/functions/detectorUtils';
import { ScanOptions } from './interfaces/ITScanOptions';

export function scanUrl(url: string, options: ScanOptions): string[] {
  const issues: string[] = [];
  checkDetectors(url, 'URL', issues, options);
  return issues;
}
